<?php
/**
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2017 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {
    exit;
}

class Productvisibletogroup extends Module
{
    public function __construct()
    {
        $this->name = 'productvisibletogroup';
        $this->tab = 'front_office_features';
        $this->version = '1.0.0';
        $this->author = 'PrestaMarketing™';
        $this->need_instance = 0;
        $this->module_key = '8d222936f3772de38ca519d31c3b87fc';

        /**
         * Set $this->bootstrap to true if your module is compliant with bootstrap (PrestaShop 1.6)
         */
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('Product visible to customer groups');
        $this->description = $this->l('Product visible to customer groups');

        $this->confirmUninstall = $this->l('');

        $this->ps_versions_compliancy = array('min' => '1.6', 'max' => _PS_VERSION_);
    }

    /**
     * Don't forget to create update methods if needed:
     * http://doc.prestashop.com/display/PS16/Enabling+the+Auto-Update
     */
    public function install()
    {
       /* Configuration::updateValue('PMKT_licence_PRODUCTVISIBLETOGROUP', '');
        Configuration::updateValue('PMKT_key_PRODUCTVISIBLETOGROUP', '');*/

        include(dirname(__FILE__).'/sql/install.php');

        return parent::install() &&
            $this->registerHook('displayAdminProductsExtra') &&
            $this->registerHook('actionProductSave');
    }

    public function uninstall()
    {
        /*Configuration::deleteByName('PMKT_licence_PRODUCTVISIBLETOGROUP');
        Configuration::deleteByName('PMKT_key_PRODUCTVISIBLETOGROUP');*/

        include(dirname(__FILE__).'/sql/uninstall.php');

        return parent::uninstall();
    }

    /**
     * Load the configuration form
     */
    public function getContent()
    {
        $output = '';

        /*if (Tools::isSubmit('activationCode')) {
            if (Configuration::get('PMKT_licence_PRODUCTVISIBLETOGROUP') == '') {
                require_once(_PS_MODULE_DIR_.'bannermanagerplus/lib/nusoap/lib/nusoap.php');
                $wsdl = 'http://prestamarketing.com/modules/PMKT_API/PMKT_API/active.php?wsdl';
                $client = new nusoap_client($wsdl, 'wsdl');
                $param = array(
                    'key' => Tools::getValue('activationCode'),
                    'host' => $_SERVER['SERVER_NAME'],
                    'ip' => $_SERVER['REMOTE_ADDR']
                );
                $response = $client->call('activeKey', $param);
                if ($response != '') {
                    Configuration::updateValue('PMKT_licence_PRODUCTVISIBLETOGROUP', $response);
                    Configuration::updateValue('PMKT_key_PRODUCTVISIBLETOGROUP', Tools::getValue('activationCode'));
                } else {
                    $output .= $this->displayError($this->l('Incorrect license number 
                        if the problem persists please 
                        contact soporte@prestamarketing.com'));
                }
            }
        }

        if (Configuration::get('PMKT_licence_PRODUCTVISIBLETOGROUP') == '') {
            $output .= @$this->formActivacion();
            return $output;
        }*/

        $this->context->smarty->assign(array(
            'iso_code' => $this->context->language->iso_code,
        ));
        $output = $this->context->smarty->fetch($this->local_path.'views/templates/admin/configure.tpl');
        return $output;
    }

    public function hookActionProductSave()
    {
        $id_product = Tools::getValue('id_product');
        if ((int)$id_product > 0) {
            if (Tools::getValue('groups_pvg')) {
                Db::getInstance()->delete('productvisibletogroup', 'id_product = '.(int)$id_product);
                $groups = serialize(Tools::getValue('groups_pvg'));
                Db::getInstance()->insert('productvisibletogroup', array(
                    'id_product' => (int)$id_product,
                    'groups'      => pSQL($groups),
                ));
            } else {
                Db::getInstance()->delete('productvisibletogroup', 'id_product = '.(int)$id_product);
            }
        }
    }

    public function hookDisplayAdminProductsExtra($params)
    {
        $output = '';
        /*if (Configuration::get('PMKT_licence_PRODUCTVISIBLETOGROUP') == '') {
            $output .= $this->l('You have to activate the module in settings');
            return $output;
        }*/

        $this->context->smarty->assign('groups_pvg', Group::getGroups($this->context->language->id));

        $sql = "SELECT groups FROM "._DB_PREFIX_.
            "productvisibletogroup WHERE id_product = ".
            (int)Tools::getValue('id_product');
        $result = DB::getInstance()->getRow($sql);
        $allGroups = true;
        if ($result) {
            $groups = unserialize($result['groups']);
            $allGroups = false;
        } else {
            $groups = array();
            $allGroups = true;
        }
        $this->context->smarty->assign('groups_selected', $groups);
        $this->context->smarty->assign('allGroups', $allGroups);
        $output = $this->context->smarty->fetch($this->local_path.'views/templates/admin/product.tpl');
        return $output;
    }

    public function formActivacion()
    {
        $default_lang = (int)Configuration::get('PS_LANG_DEFAULT');
        
        $fields_form = array();
        $fields_form[0]['form'] = array(
            'legend' => array(
                'title' => $this->l('Module activation'),
            ),
            'input' => array(
                array(
                    'type' => 'text',
                    'label' => $this->l('Code'),
                    'name' => 'activationCode',
                    'desc' => $this->l('leave this field empty in localhost'),
                    'size' => 40,
                    'required' => true
                ),
                
            ),
            'submit' => array(
                'title' => $this->l('Send'),
                'class' => 'button'
            )
        );
         
        $helper = new HelperForm();
         
        // Module, token and currentIndex
        $helper->module = $this;
        $helper->name_controller = $this->name;
        $helper->token = Tools::getAdminTokenLite('AdminModules');
        $helper->currentIndex = AdminController::$currentIndex.'&configure='.$this->name;
         
        // Language
        $helper->default_form_language = $default_lang;
        $helper->allow_employee_form_lang = $default_lang;
         
        // Title and toolbar
        $helper->title = $this->displayName;
        $helper->show_toolbar = true;        // false -> remove toolbar
        $helper->toolbar_scroll = true;      // yes - > Toolbar is always visible on the top of the screen.
        $helper->submit_action = 'submit'.$this->name;
        $helper->toolbar_btn = array(
            'save' =>
            array(
                'desc' => $this->l('Save'),
                'href' => AdminController::$currentIndex.'&configure='.$this->name.'&save'.$this->name.
                '&token='.Tools::getAdminTokenLite('AdminModules'),
            ),
            'back' => array(
                'href' => AdminController::$currentIndex.'&token='.Tools::getAdminTokenLite('AdminModules'),
                'desc' => $this->l('Back to list')
            )
        );
        return $helper->generateForm($fields_form);
    }
}
