{*
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2017 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div id="product-productvisibletogroup" class="panel product-tab">
	<input type="hidden" name="submitted_tabs[]" value="productvisibletogroup" />
	<h3>{l s='Set product visibility to user groups' mod='productvisibletogroup'}</h3>
    <!-- Selecciona los grupos en los que el producto será visible -->
	<div class="form-group">

	    <div class="col-lg-12">
	    	<div class="row">
	    		<div class="col-lg-6">
					<table class="table table-bordered">
						<thead>
							<tr>
								<th class="fixed-width-xs">
								</th>
								<th class="fixed-width-xs"><span class="title_box">{l s='ID' mod='productvisibletogroup'}</span></th>
								<th>
									<span class="title_box">{l s='Group Name' mod='productvisibletogroup'}</span>
								</th>
							</tr>
						</thead>
						<tbody>
							{foreach from=$groups_pvg item=group}
							<tr>
								<td>
									<input type="checkbox" name="groups_pvg[]" class="groupBox" id="groups_pvg" value="{$group.id_group|escape:'htmlall':'UTF-8'}" {if $group.id_group|in_array:$groups_selected}checked="true"{/if}>
								</td>
								<td>{$group.id_group|escape:'htmlall':'UTF-8'}</td>
								<td>
									<label for="groups_pvg">{$group.name|escape:'htmlall':'UTF-8'}</label>
								</td>
							</tr>
							{/foreach}
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<div class="col-lg-12">
			<p>{l s='After selecting the groups, remember to click Save button and to get a saved correctly message' mod='productvisibletogroup'}.</p>
            <!-- Después de seleccionar los grupos, asegúrate de pulsar el botón de Guardar, y de recibir un mensaje de Actualización correcta -->
		</div>
		<div class="col-lg-12">
			<p>{l s='If you don´t select any group, the product will be visible for all groups' mod='productvisibletogroup'}.</p>
            <!-- Si no seleccionas ningún grupo, el producto será visible para todos los grupos -->
		</div>
	</div>

	<div class="panel-footer">
		<a href="{$link->getAdminLink('AdminProducts')|escape:'html':'UTF-8'}{if isset($smarty.request.page) && $smarty.request.page > 1}&amp;submitFilterproduct={$smarty.request.page|intval}{/if}" class="btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel' mod='productvisibletogroup'}</a>
		<button type="submit" name="submitAddproduct" class="btn btn-default pull-right" disabled="disabled"><i class="process-icon-loading"></i> {l s='Save' mod='productvisibletogroup'}</button>
		<button type="submit" name="submitAddproductAndStay" class="btn btn-default pull-right" disabled="disabled"><i class="process-icon-loading"></i> {l s='Save and stay' mod='productvisibletogroup'}</button>
	</div>
</div>
